Forum Linux.débutant installation de pango

Posté par .
Tags : aucun
0
19
mai
2005
bonjour,

jai installé glib-2.6 a partir des sources.

jai ensuite essayé d'installer:
atk
gtk
pango
mais à chaque ./ configure de ces logiciels, voici le message qui s'affiche:
...
checking XFT_CFLAGS... -I/usr/X11R6/include -I/usr/include/freetype2
checking XFT_LIBS... -L/usr/X11R6/lib -lXft -lX11 -lfreetype -lXrender -lfontconfig
checking for pkg-config... (cached) /usr/bin/pkg-config
checking for GLIB - version >= 2.4.0... no
*** Could not run GLIB test program, checking why...
*** The test program failed to compile or link. See the file config.log for the
*** exact error that occured. This usually means GLIB is incorrectly installed.
configure: error:
*** Glib 2.4.0 or better is required. The latest version of
*** Glib is always available from ftp://ftp.gtk.org/.(...)

or, glib-2.6 venait d'être installé...

jai changé les variables d'environnement en tapant:
PKG_CONFIG_PATH=/usr/local/lib/pkgconfig/
LD_LIBRARY_PATH=/usr/local/lib/glib-2.0/
CFLAGS=/usr/local/include/glib-2.0/
CPPFLAGS=/usr/local/include/glib-2.0/
...
puis jai relancé le ./configure
même message. rien ny fait...

my suis je mal pris? qqn a t il déjà eu ce problème? pensez vous pouvoir maider?

merci!
  • # l'aide est en ligne

    Posté par . Évalué à 1.

    Essaye avec
    ./configure --help

    ensuite il faut reperer dans ce qu'il t'affiche des lignes du style
    --with-glib-path=....
    ensuite tu recommences en tapant
    ./configure --with-monoptionquivabien=/usr/local/lib/glib-2.0/

    et normalement ca devrais rouler
  • # Export

    Posté par . Évalué à 2.

    jai changé les variables d'environnement en tapant:
    PKG_CONFIG_PATH=/usr/local/lib/pkgconfig/

    La même chose mais avec la commande `export' devant :
    $ export PKG_CONFIG_PATH=/usr/local/lib/pkgconfig
    $ ./configure

    Tu peux aussi oublier les CFLAGS et CPPFLAGS :
     * premièrement, ils sont incorrects,
     * deuxièmement, ils seront initialisés automatiquement par le ./configure
    • [^] # Re: Export

      Posté par . Évalué à 1.

      ok ça marche maintenant! merci!!
      mathieu

Suivre le flux des commentaires

Note : les commentaires appartiennent à ceux qui les ont postés. Nous n'en sommes pas responsables.